Package org.eclipse.handly.ui.callhierarchy

# Class CallHierarchy

java.lang.Object
org.eclipse.handly.ui.callhierarchy.CallHierarchy

All Implemented Interfaces:
  `ICallHierarchy`

public final class CallHierarchy extends Object implements ICallHierarchy
Default implementation of `ICallHierarchy`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CallHierarchy(CallHierarchyKind kind, ICallHierarchyNode[] roots)`
  Creates a new call hierarchy object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CallHierarchyKind`
  `getKind()`
  Returns the kind of this call hierarchy.
  `ICallHierarchyNode[]`
  `getRoots()`
  Returns the root nodes of this call hierarchy.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CallHierarchy

    public CallHierarchy(CallHierarchyKind kind, ICallHierarchyNode[] roots)
    Creates a new call hierarchy object.
    Parameters:
      `kind` - the call hierarchy kind (not `null`)
      `roots` - the root nodes of the call hierarchy (not `null`, each node must not be `null` and must have no parent node, the kind of the node must correspond to the given call hierarchy kind). The given array must not be subsequently modified

- ## Method Details

  - ### getKind

    public CallHierarchyKind getKind()
    Description copied from interface: `ICallHierarchy`
    Returns the kind of this call hierarchy.
    Specified by:
      `getKind` in interface `ICallHierarchy`
    Returns:
      the call hierarchy kind (never `null`)

  - ### getRoots

    public ICallHierarchyNode[] getRoots()
    Description copied from interface: `ICallHierarchy`
    Returns the root nodes of this call hierarchy.
    Specified by:
      `getRoots` in interface `ICallHierarchy`
    Returns:
      the root nodes of the call hierarchy (never `null`, may be empty). Clients must not modify the returned array.